%define name labplot
%define rname LabPlot
%define version 1.2.3
%define release 1mdk

%define major 1
%define libname %mklibname %name %major
%define libnamedev %mklibname %name %major -d

Summary:	LabPlot is a plotting and data analysis application
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://mitarbeiter.mbi-berlin.de/gerlach/Linux/LabPlot/index.html
Source0:	http://mitarbeiter.mbi-berlin.de/gerlach/Linux/LabPlot/%{rname}-%{version}.tar.bz2
Source10:	%{rname}-16.png
Source11:	%{rname}-32.png
Source12:	%{rname}-48.png
License:	GPL
Group:		Sciences/Mathematics
BuildRoot:	%{_tmppath}/%{name}-buildroot
#Requires:	libkdecore4
BuildRequires:	libart_lgpl-devel libarts-devel

%description
KDE Application for plotting and analysis of 2D and /3D functions and data.

%package -n %libname
Summary:        LabPlot is a plotting and data analysis application
Group:          Sciences/Mathematics

%description -n %libname
KDE Application for plotting and analysis of 2D and /3D functions and data.

%package -n %libnamedev
Summary:        LabPlot is a plotting and data analysis application
Group:          Development/Other
Requires:	%libname = %version
Provides:	liblabplot-devel

%description -n %libnamedev
KDE Application for plotting and analysis of 2D and /3D functions and data.

%prep
%setup -q -n %{rname}-%{version}

%build

./configure --prefix=%_prefix --libdir=%_libdir

make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%find_lang %{rname}

mkdir -p $RPM_BUILD_ROOT{%{_menudir},%{_miconsdir},%{_iconsdir},%{_liconsdir}}

cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/LabPlot"\
title="Labplot"\
longtitle="Plotting and data analysis application"\
needs="x11"\
icon="%{rname}.png"\
section="More applications/Sciences/Mathematics"
EOF

cp %SOURCE10 $RPM_BUILD_ROOT%{_miconsdir}/%{rname}.png
cp %SOURCE11 $RPM_BUILD_ROOT%{_iconsdir}/%{rname}.png
cp %SOURCE12 $RPM_BUILD_ROOT%{_liconsdir}/%{rname}.png

%post
%update_menus

%postun 
%clean_menus

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{rname}.lang
%defattr(-,root,root)
%doc AUTHORS CHANGES COPYING FEATURES INSTALL README TODO
%{_bindir}/%{rname}
%{_datadir}/applnk/Applications/%{rname}.desktop
%{_datadir}/mimelnk/application/x-lpl.desktop
%{_datadir}/apps/%{rname}
%{_iconsdir}/*/*/*/*.png

%_menudir/*
%_miconsdir/%rname.png
%_iconsdir/%rname.png
%_liconsdir/%rname.png

%_docdir/HTML/en/LabPlot

%files -n %libname
%defattr(-,root,root)
%_libdir/*.so.*

%files -n %libnamedev
%defattr(-,root,root)
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la

%changelog
* Tue Feb 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2.3-1mdk
- 1.2.3
- menu

* Tue Oct 28 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.2.1-1mdk
- 1.2.1
- set %_libdir in configure
- Labplot icons

* Wed Sep 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.2.0-1mdk
- 1.2.0

* Tue Aug 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1.1-1mdk
- add menu entry
- from David Walser <luigiwalser@yahoo.com> :
	- first package
